Changeset 1490 for trunk/configure


Ignore:
Timestamp:
Jul 27, 2010 2:42:58 PM (9 years ago)
Author:
lou
Message:

New doxygen documentation configuration.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure

    r1483 r1490  
    486486ac_subdirs_all="$ac_subdirs_all Cgl"
    487487ac_subdirs_all="$ac_subdirs_all Cbc"
    488 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     488ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    489489ac_subst_files=''
    490490
     
    11821182  --with-cbc-incdir directory with header files for using project Cbc
    11831183  --with-cbc-datadir directory with data files for using project Cbc
     1184  --with-dot              use dot (from graphviz) when creating documentation
     1185                          with doxygen if available; --without-dot to disable
    11841186
    11851187Some influential environment variables:
     
    42184220
    42194221# Provide some information about the compiler.
    4220 echo "$as_me:4220:" \
     4222echo "$as_me:4222:" \
    42214223     "checking for Fortran 77 compiler version" >&5
    42224224ac_compiler=`set X $ac_compile; echo $2`
     
    64776479*-*-irix6*)
    64786480  # Find out which ABI we are using.
    6479   echo '#line 6479 "configure"' > conftest.$ac_ext
     6481  echo '#line 6481 "configure"' > conftest.$ac_ext
    64806482  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64816483  (eval $ac_compile) 2>&5
     
    84418443   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84428444   -e 's:$: $lt_compiler_flag:'`
    8443    (eval echo "\"\$as_me:8443: $lt_compile\"" >&5)
     8445   (eval echo "\"\$as_me:8445: $lt_compile\"" >&5)
    84448446   (eval "$lt_compile" 2>conftest.err)
    84458447   ac_status=$?
    84468448   cat conftest.err >&5
    8447    echo "$as_me:8447: \$? = $ac_status" >&5
     8449   echo "$as_me:8449: \$? = $ac_status" >&5
    84488450   if (exit $ac_status) && test -s "$ac_outfile"; then
    84498451     # The compiler can only warn and ignore the option if not recognized
     
    87098711   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87108712   -e 's:$: $lt_compiler_flag:'`
    8711    (eval echo "\"\$as_me:8711: $lt_compile\"" >&5)
     8713   (eval echo "\"\$as_me:8713: $lt_compile\"" >&5)
    87128714   (eval "$lt_compile" 2>conftest.err)
    87138715   ac_status=$?
    87148716   cat conftest.err >&5
    8715    echo "$as_me:8715: \$? = $ac_status" >&5
     8717   echo "$as_me:8717: \$? = $ac_status" >&5
    87168718   if (exit $ac_status) && test -s "$ac_outfile"; then
    87178719     # The compiler can only warn and ignore the option if not recognized
     
    88138815   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88148816   -e 's:$: $lt_compiler_flag:'`
    8815    (eval echo "\"\$as_me:8815: $lt_compile\"" >&5)
     8817   (eval echo "\"\$as_me:8817: $lt_compile\"" >&5)
    88168818   (eval "$lt_compile" 2>out/conftest.err)
    88178819   ac_status=$?
    88188820   cat out/conftest.err >&5
    8819    echo "$as_me:8819: \$? = $ac_status" >&5
     8821   echo "$as_me:8821: \$? = $ac_status" >&5
    88208822   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    88218823   then
     
    1115811160  lt_status=$lt_dlunknown
    1115911161  cat > conftest.$ac_ext <<EOF
    11160 #line 11160 "configure"
     11162#line 11162 "configure"
    1116111163#include "confdefs.h"
    1116211164
     
    1125811260  lt_status=$lt_dlunknown
    1125911261  cat > conftest.$ac_ext <<EOF
    11260 #line 11260 "configure"
     11262#line 11262 "configure"
    1126111263#include "confdefs.h"
    1126211264
     
    1360213604   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1360313605   -e 's:$: $lt_compiler_flag:'`
    13604    (eval echo "\"\$as_me:13604: $lt_compile\"" >&5)
     13606   (eval echo "\"\$as_me:13606: $lt_compile\"" >&5)
    1360513607   (eval "$lt_compile" 2>conftest.err)
    1360613608   ac_status=$?
    1360713609   cat conftest.err >&5
    13608    echo "$as_me:13608: \$? = $ac_status" >&5
     13610   echo "$as_me:13610: \$? = $ac_status" >&5
    1360913611   if (exit $ac_status) && test -s "$ac_outfile"; then
    1361013612     # The compiler can only warn and ignore the option if not recognized
     
    1370613708   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1370713709   -e 's:$: $lt_compiler_flag:'`
    13708    (eval echo "\"\$as_me:13708: $lt_compile\"" >&5)
     13710   (eval echo "\"\$as_me:13710: $lt_compile\"" >&5)
    1370913711   (eval "$lt_compile" 2>out/conftest.err)
    1371013712   ac_status=$?
    1371113713   cat out/conftest.err >&5
    13712    echo "$as_me:13712: \$? = $ac_status" >&5
     13714   echo "$as_me:13714: \$? = $ac_status" >&5
    1371313715   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1371413716   then
     
    1527615278   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1527715279   -e 's:$: $lt_compiler_flag:'`
    15278    (eval echo "\"\$as_me:15278: $lt_compile\"" >&5)
     15280   (eval echo "\"\$as_me:15280: $lt_compile\"" >&5)
    1527915281   (eval "$lt_compile" 2>conftest.err)
    1528015282   ac_status=$?
    1528115283   cat conftest.err >&5
    15282    echo "$as_me:15282: \$? = $ac_status" >&5
     15284   echo "$as_me:15284: \$? = $ac_status" >&5
    1528315285   if (exit $ac_status) && test -s "$ac_outfile"; then
    1528415286     # The compiler can only warn and ignore the option if not recognized
     
    1538015382   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1538115383   -e 's:$: $lt_compiler_flag:'`
    15382    (eval echo "\"\$as_me:15382: $lt_compile\"" >&5)
     15384   (eval echo "\"\$as_me:15384: $lt_compile\"" >&5)
    1538315385   (eval "$lt_compile" 2>out/conftest.err)
    1538415386   ac_status=$?
    1538515387   cat out/conftest.err >&5
    15386    echo "$as_me:15386: \$? = $ac_status" >&5
     15388   echo "$as_me:15388: \$? = $ac_status" >&5
    1538715389   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1538815390   then
     
    1758717589   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1758817590   -e 's:$: $lt_compiler_flag:'`
    17589    (eval echo "\"\$as_me:17589: $lt_compile\"" >&5)
     17591   (eval echo "\"\$as_me:17591: $lt_compile\"" >&5)
    1759017592   (eval "$lt_compile" 2>conftest.err)
    1759117593   ac_status=$?
    1759217594   cat conftest.err >&5
    17593    echo "$as_me:17593: \$? = $ac_status" >&5
     17595   echo "$as_me:17595: \$? = $ac_status" >&5
    1759417596   if (exit $ac_status) && test -s "$ac_outfile"; then
    1759517597     # The compiler can only warn and ignore the option if not recognized
     
    1785517857   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1785617858   -e 's:$: $lt_compiler_flag:'`
    17857    (eval echo "\"\$as_me:17857: $lt_compile\"" >&5)
     17859   (eval echo "\"\$as_me:17859: $lt_compile\"" >&5)
    1785817860   (eval "$lt_compile" 2>conftest.err)
    1785917861   ac_status=$?
    1786017862   cat conftest.err >&5
    17861    echo "$as_me:17861: \$? = $ac_status" >&5
     17863   echo "$as_me:17863: \$? = $ac_status" >&5
    1786217864   if (exit $ac_status) && test -s "$ac_outfile"; then
    1786317865     # The compiler can only warn and ignore the option if not recognized
     
    1795917961   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1796017962   -e 's:$: $lt_compiler_flag:'`
    17961    (eval echo "\"\$as_me:17961: $lt_compile\"" >&5)
     17963   (eval echo "\"\$as_me:17963: $lt_compile\"" >&5)
    1796217964   (eval "$lt_compile" 2>out/conftest.err)
    1796317965   ac_status=$?
    1796417966   cat out/conftest.err >&5
    17965    echo "$as_me:17965: \$? = $ac_status" >&5
     17967   echo "$as_me:17967: \$? = $ac_status" >&5
    1796617968   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1796717969   then
     
    2100221004
    2100321005
    21004 # assemble search path for pkg-config, if we are in a project setup
    21005 if test x$coin_projectdir = xyes ; then
    21006   COIN_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21007 
    21008   # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    21009   # best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
    21010   # unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    21011   if test -d "${prefix}"; then
    21012     COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    21013   fi
     21006# assemble pkg-config search path for installed projects
     21007COIN_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21008
     21009# let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21010# best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
     21011# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
     21012if test -d "${prefix}"; then
     21013  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     21014fi
    2101421015
    2101521016
     
    2101821019  withval="$with_coin_instdir"
    2101921020  if test -d "$withval"; then : ; else
    21020        { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21021     { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    2102121022echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    2102221023   { (exit 1); exit 1; }; }
    21023      fi
    21024      COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     21024   fi
     21025   COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    2102521026
    2102621027fi;
    2102721028
    21028   # in a classic setup, we want to find uninstalled projects
     21029
     21030
     21031# assemble additional pkg-config search paths for uninstalled projects
     21032if test x$coin_projectdir = xyes ; then
     21033  # if we are in a project setup, then in a classic setup, we want to find uninstalled projects
    2102921034  # their (relative) location is written to coin_subdirs.txt by the configure in the project base directory
    2103021035  # unfortunately, if the user set prefix, then we do not know where the project base directory is located
    2103121036  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
     21037  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    2103221038  if test -e ../coin_subdirs.txt ; then
    2103321039    for i in `cat ../coin_subdirs.txt` ; do
    2103421040      if test -d ../$i ; then
    21035         COIN_PKG_CONFIG_PATH="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     21041        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
    2103621042      fi
    2103721043    done
     
    2104121047    for i in `cat ../../coin_subdirs.txt` ; do
    2104221048      if test -d ../../$i ; then
    21043         COIN_PKG_CONFIG_PATH="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     21049        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
    2104421050      fi
    2104521051    done
     
    2111521121
    2111621122if test $coin_has_blas = notGiven; then
    21117   #only if pkg-config is available:
    21118   #see if user gives directory where project might be installed: assemble search path for pkg-config
     21123  #check for project by using pkg-config, if pkg-config is available
     21124  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2111921125  if test -n "$PKG_CONFIG" ; then
    2112021126    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21121 
    21122     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    21123     if test -d "$prefix"; then
    21124       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    21125     fi
    21126 
    21127 
    21128 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    21129 if test "${with_coin_instdir+set}" = set; then
    21130   withval="$with_coin_instdir"
    21131   if test -d "$withval"; then : ; else
    21132          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    21133 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    21134    { (exit 1); exit 1; }; }
    21135        fi
    21136        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    21137 
    21138 fi;
    21139 
    21140     # let pkgconfig check if the project is already installed somewhere
    21141     # need to export variable to be sure that the following pkg-config call gets these values
    21142     export PKG_CONFIG_PATH
     21127    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2114321128
    2114421129if test -n "$PKG_CONFIG" ; then
     
    2115621141fi
    2115721142
    21158 
    2115921143    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21144    export PKG_CONFIG_PATH
    2116021145  fi
    2116121146fi
     
    2126821253
    2126921254if test $coin_has_lapack = notGiven; then
    21270   #only if pkg-config is available:
    21271   #see if user gives directory where project might be installed: assemble search path for pkg-config
     21255  #check for project by using pkg-config, if pkg-config is available
     21256  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2127221257  if test -n "$PKG_CONFIG" ; then
    2127321258    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21274 
    21275     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    21276     if test -d "$prefix"; then
    21277       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    21278     fi
    21279 
    21280 
    21281 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    21282 if test "${with_coin_instdir+set}" = set; then
    21283   withval="$with_coin_instdir"
    21284   if test -d "$withval"; then : ; else
    21285          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    21286 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    21287    { (exit 1); exit 1; }; }
    21288        fi
    21289        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    21290 
    21291 fi;
    21292 
    21293     # let pkgconfig check if the project is already installed somewhere
    21294     # need to export variable to be sure that the following pkg-config call gets these values
    21295     export PKG_CONFIG_PATH
     21259    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2129621260
    2129721261if test -n "$PKG_CONFIG" ; then
     
    2130921273fi
    2131021274
    21311 
    2131221275    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21276    export PKG_CONFIG_PATH
    2131321277  fi
    2131421278fi
     
    2141021374
    2141121375if test $coin_has_sample = notGiven; then
    21412   #only if pkg-config is available:
    21413   #see if user gives directory where project might be installed: assemble search path for pkg-config
     21376  #check for project by using pkg-config, if pkg-config is available
     21377  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2141421378  if test -n "$PKG_CONFIG" ; then
    2141521379    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21416 
    21417     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    21418     if test -d "$prefix"; then
    21419       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    21420     fi
    21421 
    21422 
    21423 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    21424 if test "${with_coin_instdir+set}" = set; then
    21425   withval="$with_coin_instdir"
    21426   if test -d "$withval"; then : ; else
    21427          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    21428 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    21429    { (exit 1); exit 1; }; }
    21430        fi
    21431        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    21432 
    21433 fi;
    21434 
    21435     # let pkgconfig check if the project is already installed somewhere
    21436     # need to export variable to be sure that the following pkg-config call gets these values
    21437     export PKG_CONFIG_PATH
     21380    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2143821381
    2143921382if test -n "$PKG_CONFIG" ; then
     
    2145121394fi
    2145221395
    21453 
    2145421396    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21397    export PKG_CONFIG_PATH
    2145521398  fi
    2145621399fi
     
    2154821491
    2154921492if test $coin_has_netlib = notGiven; then
    21550   #only if pkg-config is available:
    21551   #see if user gives directory where project might be installed: assemble search path for pkg-config
     21493  #check for project by using pkg-config, if pkg-config is available
     21494  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2155221495  if test -n "$PKG_CONFIG" ; then
    2155321496    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21554 
    21555     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    21556     if test -d "$prefix"; then
    21557       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    21558     fi
    21559 
    21560 
    21561 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    21562 if test "${with_coin_instdir+set}" = set; then
    21563   withval="$with_coin_instdir"
    21564   if test -d "$withval"; then : ; else
    21565          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    21566 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    21567    { (exit 1); exit 1; }; }
    21568        fi
    21569        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    21570 
    21571 fi;
    21572 
    21573     # let pkgconfig check if the project is already installed somewhere
    21574     # need to export variable to be sure that the following pkg-config call gets these values
    21575     export PKG_CONFIG_PATH
     21497    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2157621498
    2157721499if test -n "$PKG_CONFIG" ; then
     
    2158921511fi
    2159021512
    21591 
    2159221513    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21514    export PKG_CONFIG_PATH
    2159321515  fi
    2159421516fi
     
    2168621608
    2168721609if test $coin_has_miblib3 = notGiven; then
    21688   #only if pkg-config is available:
    21689   #see if user gives directory where project might be installed: assemble search path for pkg-config
     21610  #check for project by using pkg-config, if pkg-config is available
     21611  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2169021612  if test -n "$PKG_CONFIG" ; then
    2169121613    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21692 
    21693     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    21694     if test -d "$prefix"; then
    21695       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    21696     fi
    21697 
    21698 
    21699 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    21700 if test "${with_coin_instdir+set}" = set; then
    21701   withval="$with_coin_instdir"
    21702   if test -d "$withval"; then : ; else
    21703          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    21704 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    21705    { (exit 1); exit 1; }; }
    21706        fi
    21707        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    21708 
    21709 fi;
    21710 
    21711     # let pkgconfig check if the project is already installed somewhere
    21712     # need to export variable to be sure that the following pkg-config call gets these values
    21713     export PKG_CONFIG_PATH
     21614    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2171421615
    2171521616if test -n "$PKG_CONFIG" ; then
     
    2172721628fi
    2172821629
    21729 
    2173021630    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21631    export PKG_CONFIG_PATH
    2173121632  fi
    2173221633fi
     
    2182421725
    2182521726if test $coin_has_coinutils = notGiven; then
    21826   #only if pkg-config is available:
    21827   #see if user gives directory where project might be installed: assemble search path for pkg-config
     21727  #check for project by using pkg-config, if pkg-config is available
     21728  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2182821729  if test -n "$PKG_CONFIG" ; then
    2182921730    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21830 
    21831     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    21832     if test -d "$prefix"; then
    21833       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    21834     fi
    21835 
    21836 
    21837 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    21838 if test "${with_coin_instdir+set}" = set; then
    21839   withval="$with_coin_instdir"
    21840   if test -d "$withval"; then : ; else
    21841          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    21842 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    21843    { (exit 1); exit 1; }; }
    21844        fi
    21845        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    21846 
    21847 fi;
    21848 
    21849     # let pkgconfig check if the project is already installed somewhere
    21850     # need to export variable to be sure that the following pkg-config call gets these values
    21851     export PKG_CONFIG_PATH
     21731    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2185221732
    2185321733if test -n "$PKG_CONFIG" ; then
     
    2186521745fi
    2186621746
    21867 
    2186821747    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21748    export PKG_CONFIG_PATH
    2186921749  fi
    2187021750fi
     
    2196221842
    2196321843if test $coin_has_osi = notGiven; then
    21964   #only if pkg-config is available:
    21965   #see if user gives directory where project might be installed: assemble search path for pkg-config
     21844  #check for project by using pkg-config, if pkg-config is available
     21845  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2196621846  if test -n "$PKG_CONFIG" ; then
    2196721847    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    21968 
    21969     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    21970     if test -d "$prefix"; then
    21971       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    21972     fi
    21973 
    21974 
    21975 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    21976 if test "${with_coin_instdir+set}" = set; then
    21977   withval="$with_coin_instdir"
    21978   if test -d "$withval"; then : ; else
    21979          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    21980 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    21981    { (exit 1); exit 1; }; }
    21982        fi
    21983        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    21984 
    21985 fi;
    21986 
    21987     # let pkgconfig check if the project is already installed somewhere
    21988     # need to export variable to be sure that the following pkg-config call gets these values
    21989     export PKG_CONFIG_PATH
     21848    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2199021849
    2199121850if test -n "$PKG_CONFIG" ; then
     
    2200321862fi
    2200421863
    22005 
    2200621864    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21865    export PKG_CONFIG_PATH
    2200721866  fi
    2200821867fi
     
    2210021959
    2210121960if test $coin_has_clp = notGiven; then
    22102   #only if pkg-config is available:
    22103   #see if user gives directory where project might be installed: assemble search path for pkg-config
     21961  #check for project by using pkg-config, if pkg-config is available
     21962  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2210421963  if test -n "$PKG_CONFIG" ; then
    2210521964    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    22106 
    22107     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    22108     if test -d "$prefix"; then
    22109       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    22110     fi
    22111 
    22112 
    22113 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    22114 if test "${with_coin_instdir+set}" = set; then
    22115   withval="$with_coin_instdir"
    22116   if test -d "$withval"; then : ; else
    22117          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    22118 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    22119    { (exit 1); exit 1; }; }
    22120        fi
    22121        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    22122 
    22123 fi;
    22124 
    22125     # let pkgconfig check if the project is already installed somewhere
    22126     # need to export variable to be sure that the following pkg-config call gets these values
    22127     export PKG_CONFIG_PATH
     21965    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2212821966
    2212921967if test -n "$PKG_CONFIG" ; then
     
    2214121979fi
    2214221980
    22143 
    2214421981    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21982    export PKG_CONFIG_PATH
    2214521983  fi
    2214621984fi
     
    2223822076
    2223922077if test $coin_has_dylp = notGiven; then
    22240   #only if pkg-config is available:
    22241   #see if user gives directory where project might be installed: assemble search path for pkg-config
     22078  #check for project by using pkg-config, if pkg-config is available
     22079  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2224222080  if test -n "$PKG_CONFIG" ; then
    2224322081    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    22244 
    22245     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    22246     if test -d "$prefix"; then
    22247       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    22248     fi
    22249 
    22250 
    22251 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    22252 if test "${with_coin_instdir+set}" = set; then
    22253   withval="$with_coin_instdir"
    22254   if test -d "$withval"; then : ; else
    22255          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    22256 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    22257    { (exit 1); exit 1; }; }
    22258        fi
    22259        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    22260 
    22261 fi;
    22262 
    22263     # let pkgconfig check if the project is already installed somewhere
    22264     # need to export variable to be sure that the following pkg-config call gets these values
    22265     export PKG_CONFIG_PATH
     22082    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2226622083
    2226722084if test -n "$PKG_CONFIG" ; then
     
    2227922096fi
    2228022097
    22281 
    2228222098    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     22099    export PKG_CONFIG_PATH
    2228322100  fi
    2228422101fi
     
    2237622193
    2237722194if test $coin_has_vol = notGiven; then
    22378   #only if pkg-config is available:
    22379   #see if user gives directory where project might be installed: assemble search path for pkg-config
     22195  #check for project by using pkg-config, if pkg-config is available
     22196  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2238022197  if test -n "$PKG_CONFIG" ; then
    2238122198    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    22382 
    22383     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    22384     if test -d "$prefix"; then
    22385       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    22386     fi
    22387 
    22388 
    22389 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    22390 if test "${with_coin_instdir+set}" = set; then
    22391   withval="$with_coin_instdir"
    22392   if test -d "$withval"; then : ; else
    22393          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    22394 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    22395    { (exit 1); exit 1; }; }
    22396        fi
    22397        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    22398 
    22399 fi;
    22400 
    22401     # let pkgconfig check if the project is already installed somewhere
    22402     # need to export variable to be sure that the following pkg-config call gets these values
    22403     export PKG_CONFIG_PATH
     22199    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2240422200
    2240522201if test -n "$PKG_CONFIG" ; then
     
    2241722213fi
    2241822214
    22419 
    2242022215    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     22216    export PKG_CONFIG_PATH
    2242122217  fi
    2242222218fi
     
    2251422310
    2251522311if test $coin_has_cgl = notGiven; then
    22516   #only if pkg-config is available:
    22517   #see if user gives directory where project might be installed: assemble search path for pkg-config
     22312  #check for project by using pkg-config, if pkg-config is available
     22313  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2251822314  if test -n "$PKG_CONFIG" ; then
    2251922315    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    22520 
    22521     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    22522     if test -d "$prefix"; then
    22523       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    22524     fi
    22525 
    22526 
    22527 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    22528 if test "${with_coin_instdir+set}" = set; then
    22529   withval="$with_coin_instdir"
    22530   if test -d "$withval"; then : ; else
    22531          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    22532 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    22533    { (exit 1); exit 1; }; }
    22534        fi
    22535        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    22536 
    22537 fi;
    22538 
    22539     # let pkgconfig check if the project is already installed somewhere
    22540     # need to export variable to be sure that the following pkg-config call gets these values
    22541     export PKG_CONFIG_PATH
     22316    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2254222317
    2254322318if test -n "$PKG_CONFIG" ; then
     
    2255522330fi
    2255622331
    22557 
    2255822332    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     22333    export PKG_CONFIG_PATH
    2255922334  fi
    2256022335fi
     
    2265222427
    2265322428if test $coin_has_cbc = notGiven; then
    22654   #only if pkg-config is available:
    22655   #see if user gives directory where project might be installed: assemble search path for pkg-config
     22429  #check for project by using pkg-config, if pkg-config is available
     22430  #we are only interested in installed packages here, so we do not search in $COIN_PKG_CONFIG_PATH_UNINSTALLED
    2265622431  if test -n "$PKG_CONFIG" ; then
    2265722432    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    22658 
    22659     # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    22660     if test -d "$prefix"; then
    22661       PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
    22662     fi
    22663 
    22664 
    22665 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    22666 if test "${with_coin_instdir+set}" = set; then
    22667   withval="$with_coin_instdir"
    22668   if test -d "$withval"; then : ; else
    22669          { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    22670 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    22671    { (exit 1); exit 1; }; }
    22672        fi
    22673        PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
    22674 
    22675 fi;
    22676 
    22677     # let pkgconfig check if the project is already installed somewhere
    22678     # need to export variable to be sure that the following pkg-config call gets these values
    22679     export PKG_CONFIG_PATH
     22433    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
    2268022434
    2268122435if test -n "$PKG_CONFIG" ; then
     
    2269322447fi
    2269422448
    22695 
    2269622449    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     22450    export PKG_CONFIG_PATH
    2269722451  fi
    2269822452fi
     
    2273722491
    2273822492
     22493#############################################################################
     22494#                  Check for doxygen                                        #
     22495#############################################################################
     22496
     22497
     22498
     22499{ echo "$as_me:$LINENO: configuring doxygen documentation options" >&5
     22500echo "$as_me: configuring doxygen documentation options" >&6;}
     22501
     22502# Check to see if doxygen is available.
     22503
     22504# Extract the first word of "doxygen", so it can be a program name with args.
     22505set dummy doxygen; ac_word=$2
     22506echo "$as_me:$LINENO: checking for $ac_word" >&5
     22507echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     22508if test "${ac_cv_prog_coin_have_doxygen+set}" = set; then
     22509  echo $ECHO_N "(cached) $ECHO_C" >&6
     22510else
     22511  if test -n "$coin_have_doxygen"; then
     22512  ac_cv_prog_coin_have_doxygen="$coin_have_doxygen" # Let the user override the test.
     22513else
     22514as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     22515for as_dir in $PATH
     22516do
     22517  IFS=$as_save_IFS
     22518  test -z "$as_dir" && as_dir=.
     22519  for ac_exec_ext in '' $ac_executable_extensions; do
     22520  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     22521    ac_cv_prog_coin_have_doxygen="yes"
     22522    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     22523    break 2
     22524  fi
     22525done
     22526done
     22527
     22528  test -z "$ac_cv_prog_coin_have_doxygen" && ac_cv_prog_coin_have_doxygen="no"
     22529fi
     22530fi
     22531coin_have_doxygen=$ac_cv_prog_coin_have_doxygen
     22532if test -n "$coin_have_doxygen"; then
     22533  echo "$as_me:$LINENO: result: $coin_have_doxygen" >&5
     22534echo "${ECHO_T}$coin_have_doxygen" >&6
     22535else
     22536  echo "$as_me:$LINENO: result: no" >&5
     22537echo "${ECHO_T}no" >&6
     22538fi
     22539
     22540
     22541# Look for the dot tool from the graphviz package, unless the user has
     22542# disabled it.
     22543
     22544
     22545# Check whether --with-dot or --without-dot was given.
     22546if test "${with_dot+set}" = set; then
     22547  withval="$with_dot"
     22548
     22549else
     22550  withval=yes
     22551fi;
     22552if test x$withval = xno ; then
     22553  coin_doxy_usedot=NO
     22554  echo "$as_me:$LINENO: checking for dot " >&5
     22555echo $ECHO_N "checking for dot ... $ECHO_C" >&6
     22556  echo "$as_me:$LINENO: result: disabled" >&5
     22557echo "${ECHO_T}disabled" >&6
     22558else
     22559  # Extract the first word of "dot", so it can be a program name with args.
     22560set dummy dot; ac_word=$2
     22561echo "$as_me:$LINENO: checking for $ac_word" >&5
     22562echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     22563if test "${ac_cv_prog_coin_doxy_usedot+set}" = set; then
     22564  echo $ECHO_N "(cached) $ECHO_C" >&6
     22565else
     22566  if test -n "$coin_doxy_usedot"; then
     22567  ac_cv_prog_coin_doxy_usedot="$coin_doxy_usedot" # Let the user override the test.
     22568else
     22569as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     22570for as_dir in $PATH
     22571do
     22572  IFS=$as_save_IFS
     22573  test -z "$as_dir" && as_dir=.
     22574  for ac_exec_ext in '' $ac_executable_extensions; do
     22575  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     22576    ac_cv_prog_coin_doxy_usedot="YES"
     22577    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     22578    break 2
     22579  fi
     22580done
     22581done
     22582
     22583  test -z "$ac_cv_prog_coin_doxy_usedot" && ac_cv_prog_coin_doxy_usedot="NO"
     22584fi
     22585fi
     22586coin_doxy_usedot=$ac_cv_prog_coin_doxy_usedot
     22587if test -n "$coin_doxy_usedot"; then
     22588  echo "$as_me:$LINENO: result: $coin_doxy_usedot" >&5
     22589echo "${ECHO_T}$coin_doxy_usedot" >&6
     22590else
     22591  echo "$as_me:$LINENO: result: no" >&5
     22592echo "${ECHO_T}no" >&6
     22593fi
     22594
     22595fi
     22596
     22597# Generate a tag file name and a log file name
     22598
     22599coin_doxy_tagname=doxydoc/${PACKAGE}_doxy.tag
     22600
     22601coin_doxy_logname=doxydoc/${PACKAGE}_doxy.log
     22602
     22603
     22604# Process the list of project names and massage them into possible doxygen
     22605# doc'n directories. Prefer 1) classic external, source processed using
     22606# a project-specific doxygen.conf, we use the tag file; 2) classic
     22607# external, source processed using package doxygen.conf; 3) installed
     22608# doxydoc. Alternatives 1) and 2) are only possible if the directory will be
     22609# configured, which we can't know unless this is the package base configure,
     22610# since coin_subdirs is only set there. Hence it's sufficient to check for
     22611# membership. If we use a tag file from a classic external, exclude the
     22612# source from doxygen processing when doxygen runs in the base directory.
     22613
     22614coin_doxy_tagfiles=
     22615coin_doxy_excludes=
     22616tmp="CoinUtils Osi Clp DyLP Cgl"
     22617for proj in $tmp ; do
     22618  lc_proj=`echo $proj | tr [A-Z] [a-z]`
     22619  echo "$as_me:$LINENO: checking for doxygen doc'n for $proj " >&5
     22620echo $ECHO_N "checking for doxygen doc'n for $proj ... $ECHO_C" >&6
     22621  doxytag=${lc_proj}_doxy.tag
     22622  doxyfound=no
     22623  for chkProj in $coin_subdirs ; do
     22624    if test "$chkProj" = "$proj" ; then
     22625      # proj will be configured, hence doxydoc present in build tree
     22626      doxysrcdir="${srcdir}/${proj}"
     22627      { echo "$as_me:$LINENO: Considering $doxysrcdir (base)" >&5
     22628echo "$as_me: Considering $doxysrcdir (base)" >&6;}
     22629      if test -d "$doxysrcdir" ; then
     22630        # with a doxydoc directory?
     22631        doxydir="$doxysrcdir/doxydoc"
     22632        { echo "$as_me:$LINENO: Considering $doxydir (base)" >&5
     22633echo "$as_me: Considering $doxydir (base)" >&6;}
     22634        { echo "$as_me:$LINENO: Subdirs: $coin_subdirs)" >&5
     22635echo "$as_me: Subdirs: $coin_subdirs)" >&6;}
     22636        if test -d "$doxydir" ; then
     22637          # use tag file; don't process source
     22638          eval doxydir="`pwd`/${proj}/doxydoc"
     22639          coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     22640          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     22641echo "${ECHO_T}$doxydir (tag)" >&6
     22642          coin_doxy_excludes="$coin_doxy_excludes */${proj}*"
     22643        else
     22644          # will process the source -- nothing further to be done here
     22645          echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     22646echo "${ECHO_T}$doxysrcdir (src)" >&6
     22647        fi
     22648        doxyfound=yes
     22649      fi
     22650    fi
     22651  done
     22652  # Not built, fall back to installed tag file
     22653  if test $doxyfound = no ; then
     22654    eval doxydir="${datadir}/coin/doc/${proj}/doxydoc"
     22655    { echo "$as_me:$LINENO: Considering $doxydir (install)" >&5
     22656echo "$as_me: Considering $doxydir (install)" >&6;}
     22657    { echo "$as_me:$LINENO: Subdirs: $coin_subdirs)" >&5
     22658echo "$as_me: Subdirs: $coin_subdirs)" >&6;}
     22659    coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     22660    echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     22661echo "${ECHO_T}$doxydir (tag)" >&6
     22662  fi
     22663done
     22664
     22665
     22666
     22667
     22668
    2273922669##############################################################################
    2274022670#                   Finishing up by writing all the output                   #
     
    2274422674# configuration header file)
    2274522675          ac_config_files="$ac_config_files Makefile"
     22676
     22677          ac_config_files="$ac_config_files doxydoc/doxygen.conf"
    2274622678
    2274722679
     
    2277222704    ADDLIBS="$ADDLIBS $FLIBS"
    2277322705  fi
     22706  PCADDLIBS="$PCADDLIBS $ADDLIBS"
    2277422707
    2277522708  # library extension
     
    2341823351  # Handling of arguments.
    2341923352  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
     23353  "doxydoc/doxygen.conf" ) CONFIG_FILES="$CONFIG_FILES doxydoc/doxygen.conf" ;;
    2342023354  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2342123355  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
     
    2360723541s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
    2360823542s,@COIN_PKG_CONFIG_PATH@,$COIN_PKG_CONFIG_PATH,;t t
     23543s,@COIN_PKG_CONFIG_PATH_UNINSTALLED@,$COIN_PKG_CONFIG_PATH_UNINSTALLED,;t t
    2360923544s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
    2361023545s,@subdirs@,$subdirs,;t t
     23546s,@coin_have_doxygen@,$coin_have_doxygen,;t t
     23547s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
     23548s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
     23549s,@coin_doxy_logname@,$coin_doxy_logname,;t t
     23550s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
     23551s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
    2361123552s,@LIBEXT@,$LIBEXT,;t t
    2361223553s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
Note: See TracChangeset for help on using the changeset viewer.